﻿
class util.VideoDisplay
{
	//{ PUBLIC MEMBERS
	
	// properties
	public function get connection():NetConnection { return nc; }
	public function get stream():NetStream { return ns; }
	public function get clip():MovieClip { return display; }
	public function get video():Video { return display.video; }
	
	/**
	* Create a new video display surface
	*/
	function VideoDisplay(targetURI:String, parent:MovieClip, name:String, depth:Number, initObj)
	{
		display = parent.attachMovie("VideoDisplay", name, depth, initObj);
		
		// create video stream
		nc = new NetConnection();
		nc.connect(targetURI);
		ns = new NetStream(nc);
		
		// attach the video stream to the video object
		display.video.attachVideo(ns);
	}
	
	/**
	* Video surface dimensions
	*/
	function setSize(width:Number, heigth:Number):Void
	{
		display.video._width = width;
		display.video._height = heigth;
	}
	/**
	* Video clip position
	*/
	function setLocation(x:Number, y:Number):Void
	{
		display._x = x;
		display._y = y;
	}

	/**
	* Start streaming
	* @param	url	FLV file
	* @param	bufferTime	Buffer size (optional) 
	*/
	public function play(url:String, bufferTime:Number):Void
	{
		if (bufferTime != undefined) ns.setBufferTime(bufferTime);
		ns.play(url);
	}
	/**
	* Pause streaming
	*/
	public function pause():Void
	{
		ns.pause();
	}
	/**
	* Position in video
	*/
	public function seek(offset:Number):Void
	{
		ns.seek(offset);
	}
	
	//}
	
	//{ PRIVATE MEMBERS 
	
	private var display:MovieClip;
	private var nc:NetConnection;
	private var ns:NetStream;
	
	//}
}
